Get Orphaned provider records
curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": true,
"data": [
{
"id": "<string>",
"pfiName": "Bridge",
"source": "Reconciliation",
"externalId": "<string>",
"externalData": {},
"status": "<string>",
"normalizedStatus": "Submitted",
"exchangeRate": "<string>",
"country": "AF",
"sourceAmount": "<string>",
"destinationAmount": "<string>",
"sourceCurrency": "<string>",
"destinationCurrency": "<string>",
"type": "Deposit",
"transactionDate": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"runId": "<string>",
"runType": "Daily",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Reconciliation
Get Orphaned provider records
Retrieve a list of Orphaned provider records with pagination support. Use query parameters startingAfter and limit to navigate results.
GET
/
v1
/
reconciliation
/
orphaned-transactions
Get Orphaned provider records
curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.borderless.xyz/v1/reconciliation/orphaned-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": true,
"data": [
{
"id": "<string>",
"pfiName": "Bridge",
"source": "Reconciliation",
"externalId": "<string>",
"externalData": {},
"status": "<string>",
"normalizedStatus": "Submitted",
"exchangeRate": "<string>",
"country": "AF",
"sourceAmount": "<string>",
"destinationAmount": "<string>",
"sourceCurrency": "<string>",
"destinationCurrency": "<string>",
"type": "Deposit",
"transactionDate": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"runId": "<string>",
"runType": "Daily",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
Bridge, Koywe, Kotanipay, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Avenia, Brale, BVNK, CoinsPH, Iron, Enigma, Kira, TripleAStablecoin, TripleALocalCurrencyPayout, Onmeta, Alfred, Tazapay, Demo, CrissCross, Pockyt Available options:
Open, LinkedToTransaction, Resolved, Ignored Case-insensitive partial match on the provider's id
Id used to retrieve results that come after the specified item.
Response page limit. Min 1, Max 100, Default value is 10.
Was this page helpful?